<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.66
Name: Dimissione (VPS)
Description: Discharge
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000">
   <title>Dimissione (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]
Item: (Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]
Item: (Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]"
         id="d42e3073-false-d69211e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="string(@classCode) = ('ACT')">(Dimissione): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN')">(Dimissione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(Dimissione): Attribute @negationInd SHALL be of data type 'bl'  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']) &gt;= 1">(Dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']) &lt;= 1">(Dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="count(hl7:code[@code = 'dimissione']) &gt;= 1">(Dimissione): element hl7:code[@code = 'dimissione'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="count(hl7:code[@code = 'dimissione']) &lt;= 1">(Dimissione): element hl7:code[@code = 'dimissione'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="count(hl7:text) &lt;= 1">(Dimissione): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(Dimissione): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(Dimissione): element hl7:statusCode[@code = 'completed' or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Dimissione): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Dimissione): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]) &gt;= 1">(Dimissione): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']
Item: (Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']"
         id="d42e3081-false-d69337e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.66')">(Dimissione): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.66'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:id
Item: (Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:code[@code = 'dimissione']
Item: (Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:code[@code = 'dimissione']"
         id="d42e3089-false-d69357e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="@nullFlavor or (@code='dimissione' and @codeSystemName='2.16.840.1.113883.2.9.5.1.4')">(Dimissione): The element value SHALL be one of 'code 'dimissione' codeSystemName='2.16.840.1.113883.2.9.5.1.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:text
Item: (Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e3096-false-d69379e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="@nullFlavor or (@code='completed')">(Dimissione): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:effectiveTime
Item: (Dimissione)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:performer[hl7:assignedEntity]
Item: (Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:performer[hl7:assignedEntity]
Item: (particpesecutore)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:performer[hl7:assignedEntity]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="string(@typeCode) = ('PRF') or not(@typeCode)">(particpesecutore): The value for typeCode SHALL be 'PRF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="count(hl7:time) &lt;= 1">(particpesecutore): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="count(hl7:assignedEntity[hl7:assignedPerson]) &gt;= 1">(particpesecutore): element hl7:assignedEntity[hl7:assignedPerson] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="count(hl7:assignedEntity[hl7:assignedPerson]) &lt;= 1">(particpesecutore): element hl7:assignedEntity[hl7:assignedPerson] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:performer[hl7:assignedEntity]/hl7:time
Item: (particpesecutore)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]
Item: (particpesecutore)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(particpesecutore): The value for classCode SHALL be 'ASSIGNED'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="count(hl7:id) &gt;= 1">(particpesecutore): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="count(hl7:assignedPerson) &gt;= 1">(particpesecutore): element hl7:assignedPerson is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="count(hl7:assignedPerson) &lt;= 1">(particpesecutore): element hl7:assignedPerson appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]/hl7:id
Item: (particpesecutore)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]/hl7:assignedPerson
Item: (particpesecutore)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]/hl7:assignedPerson">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(particpesecutore): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(particpesecutore): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="count(hl7:name) &gt;= 1">(particpesecutore): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.7-2018-03-19T000000.html"
              test="count(hl7:name) &lt;= 1">(particpesecutore): element hl7:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.7
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:performer[hl7:assignedEntity]/hl7:assignedEntity[hl7:assignedPerson]/hl7:assignedPerson/hl7:name
Item: (particpesecutore)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:entryRelationship[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]
Item: (Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:entryRelationship[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="@typeCode">(Dimissione): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(Dimissione): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]
Item: (Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.92']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="@typeCode">(Dimissione): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(Dimissione): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]
Item: (Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19447-2014-03-26T000000.xml')/*/valueSet/conceptList/concept/@code))])">(Dimissione): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (2014-03-26T00:00:00).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.66
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]
Item: (Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.66']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.69']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="@typeCode">(Dimissione): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.66-2018-03-19T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19447-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(Dimissione): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19447' x_ActRelationshipEntryRelationship (DYNAMIC).</assert>
   </rule>
</pattern>
