<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.67
Name: Post Dimissione (VPS)
Description: Post Discharge
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000">
   <title>Post Dimissione (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]
Item: (Post_Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]
Item: (Post_Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]"
         id="d42e3165-false-d69730e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="string(@classCode) = ('ENC')">(Post_Dimissione): The value for classCode SHALL be 'ENC'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN')">(Post_Dimissione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']) &gt;= 1">(Post_Dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']) &lt;= 1">(Post_Dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:id) &gt;= 1">(Post_Dimissione): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:id) &lt;= 1">(Post_Dimissione): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Post_Dimissione): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:text) &lt;= 1">(Post_Dimissione): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Post_Dimissione): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Post_Dimissione): element hl7:effectiveTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']
Item: (Post_Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']"
         id="d42e3175-false-d69813e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.67')">(Post_Dimissione): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.67'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:id
Item: (Post_Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Post_Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.9-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e3186-false-d69835e0">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.9.1.11.1.2.9-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Post_Dimissione): The element value SHALL be one of '2.16.840.1.113883.2.9.1.11.1.2.9 TipoEncounterPostDimissione_VPS (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:text
Item: (Post_Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:effectiveTime
Item: (Post_Dimissione)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]
Item: (Post_Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]">
      <extends rule="d69948e0-false-d69952e0"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (('LOC')))])">(Post_Dimissione): The value for typeCode SHALL be 'code LOC'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:participantRole[hl7:scopingEntity]) &gt;= 1">(Post_Dimissione): element hl7:participantRole[hl7:scopingEntity] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:participantRole[hl7:scopingEntity]) &lt;= 1">(Post_Dimissione): element hl7:participantRole[hl7:scopingEntity] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole[hl7:scopingEntity]
Item: (Post_Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole[hl7:scopingEntity]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:scopingEntity) &gt;= 1">(Post_Dimissione): element hl7:scopingEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:scopingEntity) &lt;= 1">(Post_Dimissione): element hl7:scopingEntity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole[hl7:scopingEntity]/hl7:scopingEntity
Item: (Post_Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole[hl7:scopingEntity]/hl7:scopingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(Post_Dimissione): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole[hl7:scopingEntity]/hl7:scopingEntity/hl7:id[not(@nullFlavor)]
Item: (Post_Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1" id="d69948e0-false-d69952e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@typeCode">(CDAParticipantBody): attribute @typeCode SHALL be present.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.10901-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CDAParticipantBody): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.10901' ParticipationType (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(CDAParticipantBody): The value for contextControlCode SHALL be 'OP'. Found: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:time) &lt;= 1">(CDAParticipantBody): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(CDAParticipantBody): element hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole) &gt;= 1">(CDAParticipantBody): element hl7:participantRole is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:participantRole) &lt;= 1">(CDAParticipantBody): element hl7:participantRole appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:time
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:awarenessCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10310-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CDAParticipantBody): The element value SHALL be one of '2.16.840.1.113883.1.11.10310 TargetAwareness (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode) = ('ROL') or not(@classCode)">(CDAParticipantBody): The value for classCode SHALL be 'ROL'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAParticipantBody): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount" value="count(hl7:playingDevice | hl7:playingEntity)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="$elmcount &lt;= 1">(CDAParticipantBody): choice (hl7:playingDevice  or  hl7:playingEntity) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:scopingEntity) &lt;= 1">(CDAParticipantBody): element hl7:scopingEntity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:id
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:code
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:addr
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:telecom
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingDevice
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingDevice
Item: (CDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingDevice">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(CDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(CDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(CDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:code
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:manufacturerModelName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingDevice/hl7:softwareName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingEntity
Item: (CDAPlayingEntity)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAPlayingEntity): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPlayingEntity): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAPlayingEntity): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.313-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAPlayingEntity): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:code
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:quantity
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:name
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.313
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:playingEntity/hl7:desc
Item: (CDAPlayingEntity)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:scopingEntity
Item: (CDAParticipantBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:scopingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@classCode) = ('ENT') or not(@classCode)">(CDAParticipantBody): The value for classCode SHALL be 'ENT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAParticipantBody): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAParticipantBody): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.321-2005-09-07T000000.html"
              test="count(hl7:desc) &lt;= 1">(CDAParticipantBody): element hl7:desc appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:id
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:code
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.321
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:participant[@typeCode = 'LOC'][@typeCode]/hl7:participantRole/hl7:scopingEntity/hl7:desc
Item: (CDAParticipantBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.67
Context: *[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.68']]]
Item: (Post_Dimissione)
-->
   <rule fpi="RULC-1"
         context="*[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.67']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.68']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.67-2018-03-19T000000.html"
              test="string(@typeCode) = ('RSON')">(Post_Dimissione): The value for typeCode SHALL be 'RSON'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
