<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.11
Name: Controlli (VPS)
Description: Checks
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000">
   <title>Controlli (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.11
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]
Item: (Controlli)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.11
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]
Item: (Controlli)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]"
         id="d42e4089-false-d73579e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.html"
              test="string(@classCode) = ('ACT')">(Controlli): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.html"
              test="string(@moodCode) = ('INT')">(Controlli): The value for moodCode SHALL be 'INT'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']) &gt;= 1">(Controlli): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']) &lt;= 1">(Controlli): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.html"
              test="count(hl7:code) &gt;= 1">(Controlli): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.html"
              test="count(hl7:code) &lt;= 1">(Controlli): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'active' or @nullFlavor]) &gt;= 1">(Controlli): element hl7:statusCode[@code = 'active' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'active' or @nullFlavor]) &lt;= 1">(Controlli): element hl7:statusCode[@code = 'active' or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.11
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']
Item: (Controlli)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']"
         id="d42e4095-false-d73656e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.62')">(Controlli): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.62'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.11
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:code
Item: (Controlli)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.11
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:statusCode[@code = 'active' or @nullFlavor]
Item: (Controlli)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:statusCode[@code = 'active' or @nullFlavor]"
         id="d42e4106-false-d73676e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.html"
              test="@nullFlavor or (@code='active')">(Controlli): The element value SHALL be one of 'code 'active''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.11
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]
Item: (Controlli)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]">
      <extends rule="d73825e0-false-d73846e0"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.11
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (Controlli)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.11
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor
Item: (Controlli)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor
Item: (assignedAuthor_BodyVps)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor">
      <extends rule="d73825e17-false-d73945e0"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.318-2023-05-04T100051.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(assignedAuthor_BodyVps): element hl7:id[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.318-2023-05-04T100051.html"
              test="count(hl7:assignedPerson) &lt;= 1">(assignedAuthor_BodyVps): element hl7:assignedPerson appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id[not(@nullFlavor)]
Item: (assignedAuthor_BodyVps)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson
Item: (assignedAuthor_BodyVps)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.318-2023-05-04T100051.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(assignedAuthor_BodyVps): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.318-2023-05-04T100051.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(assignedAuthor_BodyVps): element hl7:name[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name[not(@nullFlavor)]
Item: (assignedAuthor_BodyVps)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]
Item: (CDAAuthorBody)
-->
   <rule fpi="RULC-1" id="d73825e0-false-d73846e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@typeCode) = ('AUT') or not(@typeCode)">(CDAAuthorBody): The value for typeCode SHALL be 'AUT'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(CDAAuthorBody): The value for contextControlCode SHALL be 'OP'. Found: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(CDAAuthorBody): element hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:time) &gt;= 1">(CDAAuthorBody): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:time) &lt;= 1">(CDAAuthorBody): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor) &gt;= 1">(CDAAuthorBody): element hl7:assignedAuthor is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:assignedAuthor) &lt;= 1">(CDAAuthorBody): element hl7:assignedAuthor appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDAAuthorBody)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(CDAAuthorBody): The element value SHALL be one of '2.16.840.1.113883.1.11.10267 ParticipationFunction (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:time
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor
Item: (CDAAuthorBody)
-->
   <rule fpi="RULC-1" id="d73825e17-false-d73945e0" abstract="true">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(CDAAuthorBody): The value for classCode SHALL be 'ASSIGNED'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:id) &gt;= 1">(CDAAuthorBody): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAAuthorBody): element hl7:code appears too often [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson | hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="$elmcount &lt;= 1">(CDAAuthorBody): choice (hl7:assignedPerson  or  hl7:assignedAuthoringDevice) contains too many elements [max 1x]</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.318-2005-09-07T000000.html"
              test="count(hl7:representedOrganization) &lt;= 1">(CDAAuthorBody): element hl7:representedOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:id
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:code
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:addr
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:telecom
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAPerson)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(CDAPerson): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.152-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAPerson): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.152
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPerson)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (CDADevice)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@classCode) = ('DEV') or not(@classCode)">(CDADevice): The value for classCode SHALL be 'DEV'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDADevice): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDADevice): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:manufacturerModelName) &lt;= 1">(CDADevice): element hl7:manufacturerModelName appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.315-2005-09-07T000000.html"
              test="count(hl7:softwareName) &lt;= 1">(CDADevice): element hl7:softwareName appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:code
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.315
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (CDADevice)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.318
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAAuthorBody)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(CDAOrganization): The value for classCode SHALL be 'ORG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAOrganization): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode) &lt;= 1">(CDAOrganization): element hl7:standardIndustryClassCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:asOrganizationPartOf) &lt;= 1">(CDAOrganization): element hl7:asOrganizationPartOf appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode) = ('PART') or not(@classCode)">(CDAOrganization): The value for classCode SHALL be 'PART'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:code) &lt;= 1">(CDAOrganization): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]) &lt;= 1">(CDAOrganization): element hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(CDAOrganization): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:wholeOrganization) &lt;= 1">(CDAOrganization): element hl7:wholeOrganization appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:id
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:code
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor]">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/concept[@code = $theCode] or completeCodeSystem)">(CDAOrganization): The element value SHALL be one of '2.16.840.1.113883.1.11.15999 RoleStatus (DYNAMIC)'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:effectiveTime
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization
Item: (CDAOrganization)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(CDAOrganization): The value for classCode SHALL be 'ORG'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDAOrganization): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.10.12.151-2005-09-07T000000.html"
              test="count(hl7:standardIndustryClassCode) &lt;= 1">(CDAOrganization): element hl7:standardIndustryClassCode appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:id
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:name
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:telecom
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:addr
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.12.151
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/hl7:standardIndustryClassCode
Item: (CDAOrganization)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.11
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:reference[hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]]
Item: (Controlli)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:reference[hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.3.1937.777.63.10.11-2018-03-19T000000.html"
              test="string(@typeCode) = ('REFR')">(Controlli): The value for typeCode SHALL be 'REFR'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.89
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:reference[hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]]
Item: (Prescrizioni)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.89
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:reference[hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]]/hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]
Item: (Prescrizioni)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:reference[hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]]/hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.89-2018-03-19T000000.html"
              test="string(@classCode) = ('ACT')">(Prescrizioni): The value for classCode SHALL be 'ACT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.89-2018-03-19T000000.html"
              test="string(@moodCode) = ('RQO')">(Prescrizioni): The value for moodCode SHALL be 'RQO'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.89-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']) &gt;= 1">(Prescrizioni): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.89-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']) &lt;= 1">(Prescrizioni): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.89-2018-03-19T000000.html"
              test="count(hl7:id[@root = '2.16.840.1.113883.2.9.4.3.9']) &gt;= 1">(Prescrizioni): element hl7:id[@root = '2.16.840.1.113883.2.9.4.3.9'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.89-2018-03-19T000000.html"
              test="count(hl7:id[@root = '2.16.840.1.113883.2.9.4.3.9']) &lt;= 1">(Prescrizioni): element hl7:id[@root = '2.16.840.1.113883.2.9.4.3.9'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.89
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:reference[hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]]/hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']
Item: (Prescrizioni)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:reference[hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]]/hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.89-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.89')">(Prescrizioni): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.89'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.89
Context: *[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:reference[hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]]/hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]/hl7:id[@root = '2.16.840.1.113883.2.9.4.3.9']
Item: (Prescrizioni)
-->
   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.62']]/hl7:reference[hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]]/hl7:externalAct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.89']]/hl7:id[@root = '2.16.840.1.113883.2.9.4.3.9']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.89-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.4.3.9')">(Prescrizioni): The value for root SHALL be '2.16.840.1.113883.2.9.4.3.9'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.89-2018-03-19T000000.html"
              test="@extension">(Prescrizioni): attribute @extension SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.89-2018-03-19T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(Prescrizioni): Attribute @extension SHALL be of data type 'st'  - '<value-of select="@extension"/>'</assert>
   </rule>
</pattern>
