<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.6.70
Name: Diagnosi Dimissione (VPS)
Description: Diagnosi Dimissione  Elemento OBBLIGATORIO atto a riportare il valore codificato delle diagnosi di dimissione. 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000">
   <title>Diagnosi Dimissione (VPS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]
Item: (Diagnosi_Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]
Item: (Diagnosi_Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]"
         id="d42e3362-false-d70697e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="string(@classCode) = ('OBS')">(Diagnosi_Dimissione): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="string(@moodCode) = ('EVN')">(Diagnosi_Dimissione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']) &gt;= 1">(Diagnosi_Dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']) &lt;= 1">(Diagnosi_Dimissione): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(Diagnosi_Dimissione): element hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="count(hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(Diagnosi_Dimissione): element hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &gt;= 1">(Diagnosi_Dimissione): element hl7:statusCode[@code = 'completed' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(Diagnosi_Dimissione): element hl7:statusCode[@code = 'completed' or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Diagnosi_Dimissione): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Diagnosi_Dimissione): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="count(hl7:value[@codeSystem = '2.16.840.1.113883.6.103' or @nullFlavor]) &gt;= 1">(Diagnosi_Dimissione): element hl7:value[@codeSystem = '2.16.840.1.113883.6.103' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="count(hl7:value[@codeSystem = '2.16.840.1.113883.6.103' or @nullFlavor]) &lt;= 1">(Diagnosi_Dimissione): element hl7:value[@codeSystem = '2.16.840.1.113883.6.103' or @nullFlavor] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']
Item: (Diagnosi_Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']"
         id="d42e3368-false-d70762e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.70')">(Diagnosi_Dimissione): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.70'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]/hl7:id
Item: (Diagnosi_Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]/hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (Diagnosi_Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]/hl7:code[(@code = '29308-4' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e3375-false-d70782e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="@nullFlavor or (@code='29308-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diagnosi')">(Diagnosi_Dimissione): The element value SHALL be one of 'code '29308-4' codeSystem '2.16.840.1.113883.6.1' displayName='Diagnosi''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (Diagnosi_Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e3384-false-d70796e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="@nullFlavor or (@code='completed')">(Diagnosi_Dimissione): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]/hl7:effectiveTime
Item: (Diagnosi_Dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.70
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]/hl7:value[@codeSystem = '2.16.840.1.113883.6.103' or @nullFlavor]
Item: (Diagnosi_Dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.70']]/hl7:value[@codeSystem = '2.16.840.1.113883.6.103' or @nullFlavor]"
         id="d42e3395-false-d70818e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230919T162156/tmp-2.16.840.1.113883.2.9.10.1.6.70-2018-03-19T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.103')">(Diagnosi_Dimissione): The element value SHALL be one of 'codeSystem '2.16.840.1.113883.6.103''.</assert>
   </rule>
</pattern>
